/* Slider */

.slick-slider {
    position: relative;
    display: block;
    box-sizing: border-box;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -ms-touch-action: pan-y;
    touch-action: pan-y;
    -webkit-tap-highlight-color: transparent;
}

.slick-list {
    position: relative;
    overflow: hidden;
    display: block;
    margin: 0;
    padding: 0;

    &:focus {
        outline: none;
    }

    &.dragging {
        cursor: pointer;
        cursor: hand;
    }
}

.slick-slider .slick-track,
.slick-slider .slick-list {
    -webkit-transform: translate3d(0, 0, 0);
    -moz-transform: translate3d(0, 0, 0);
    -ms-transform: translate3d(0, 0, 0);
    -o-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
}

.slick-track {
    position: relative;
    left: 0;
    top: 0;
    display: block;
    margin-left: auto;
    margin-right: auto;

    &:before,
    &:after {
        content: "";
        display: table;
    }

    &:after {
        clear: both;
    }

    .slick-loading & {
        visibility: hidden;
    }
}

.slick-slide {
    float: left;
    height: 100%;
    min-height: 1px;

    [dir="rtl"] & {
        float: right;
    }

    img {
        display: block;
    }

    &.slick-loading img {
        display: none;
    }

    display: none;

    &.dragging img {
        pointer-events: none;
    }

    .slick-initialized & {
        display: block;
    }

    .slick-loading & {
        visibility: hidden;
    }

    .slick-vertical & {
        display: block;
        height: auto;
        border: 1px solid transparent;
    }
}

.slick-arrow.slick-hidden {
    display: none;
}

.main-preview {
    //border: 1px solid $grayLighter;

    .slick-slide img {
        display: flex;
        align-items: center;
        margin: 0 auto;
        border: 1px solid transparent;
        width: 100%;
        max-width: 350px;
        height: 100%;
        max-height: 300px;
        object-fit: contain;
    }
}

.slick-slide img {
    //border: 1px solid $grayLighter;
    margin: 0 auto;
    width: 100%;
    max-width: 150px;
    height: 100%;
    max-height: 150px;
    object-fit: cover;
}

.price-product {
    margin: 15px -20px;

    img {
        object-fit: contain;
    }
}

.slick-list {
    margin: 0 -5px;
}

.slick-slide > div {
    padding: 0 5px;
}

.slick-prev,
.slick-next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: transparent;
    border: none;
}

.slick-prev {
    font-size: 0;
    left: 0;

    &:after {
        content: "\f053";
        position: absolute;
        top: 0;
        left: 0;
        font-family: "Font Awesome 5 Free";
        font-size: 30px;
        display: inline-block;
        padding-right: 3px;
        vertical-align: middle;
        font-weight: 900;
        color: white;
    }
}

.slick-next {
    font-size: 0;
    right: 0;

    &:after {
        content: "\f054";
        position: absolute;
        top: 0;
        left: 0;
        font-family: "Font Awesome 5 Free";
        font-size: 30px;
        display: inline-block;
        padding-right: 3px;
        vertical-align: middle;
        font-weight: 900;
        color: white;
    }
}

.slick-prev:after {
    color: #eeeeef;
}
.slick-next:after {
    color: #eeeeef;
}

.slick-arrow, .slick-arrow:focus {
    z-index: 9999;
    outline: 0;
}

